{
    "name": "dweipert/wp-boilerplate",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "authors": [
        {
            "name": "Daniel Weipert",
            "email": "code@drogueronin.de"
        }
    ],
    "require": {
        "php": ">=7.4",
        "johnpbloch/wordpress": "*",
        "roots/wp-password-bcrypt": "^1.0",
        "wp-cli/wp-cli-bundle": "*"
    },
    "require-dev": {},
    "extra": {
        "wordpress-install-dir": "public/wp"
    },
    "scripts": {
        "post-install-cmd": [
            "composer dump-autoload -o"
        ],
        "post-create-project-cmd": [
            "@php -r \"file_exists('wp-config.php') || copy('wp-config.example.php', 'wp-config.php');\"",
            "@php -r \"rename('public/wp/wp-content', 'public/wp-content');\"",
            "wp config shuffle-salts"
        ]
    }
}
